diff --git a/src/formula.cpp b/src/formula.cpp
index 9e835e1..4329ae7 100644
--- a/src/formula.cpp
+++ b/src/formula.cpp
@@ -66,6 +66,8 @@ void FormulaList::generateBitmaps(const char *path)
   Formula *formula;
   QFile f(texName);
   bool formulaError=FALSE;
+
+  static bool quiet = Config_getBool("QUIET");
   if (f.open(IO_WriteOnly))
   {
     FTextStream t(&f);
@@ -105,8 +107,11 @@ void FormulaList::generateBitmaps(const char *path)
     //system("latex _formulas.tex </dev/null >/dev/null");
     QCString latexCmd = Config_getString("LATEX_CMD_NAME");
     if (latexCmd.isEmpty()) latexCmd="latex";
+    QCString latexArgs = "_formulas.tex";
+    if(quiet) latexArgs += " 1> NUL";
+
     portable_sysTimerStart();
-    if (portable_system(latexCmd,"_formulas.tex")!=0)
+    if (portable_system(latexCmd,latexArgs)!=0)
     {
       err("Problems running latex. Check your installation or look "
           "for typos in _formulas.tex and check _formulas.log!\n");
